package com.health.consultation.controller;

import com.health.common.core.domain.Result;
import com.health.consultation.domain.resp.Department;
import com.health.consultation.service.ConService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @author Administrator
 */
@RestController
@RequestMapping("/consultation")
public class ConController {
    @Autowired
    ConService conService;

    /**获取科室列表接口：getDepartmentList()
     * @return
     */

    public Result getDepartmentList(){
        List<Department> departmentList = conService.getDepartmentList();
        return Result.success(departmentList);
    }


    //获取医生列表接口：getDoctorListByDepartment(String departmentId, String sortType)


    //获取医生详情接口：getDoctorDetails(String doctorId)


    //获取医生评价接口：getDoctorReviews(String doctorId)


    //获取医生关注状态接口：getDoctorFollowStatus(String userId, String doctorId)


    //关注医生接口：followDoctor(String userId, String doctorId)


    //取消关注医生接口：unfollowDoctor(String userId, String doctorId)


    //发送礼物接口：sendGift(String userId, String doctorId, String giftType)


    //获取用户咨询状态接口：getUserConsultationStatus(String userId)


    //发起咨询接口：startConsultation(String userId, String doctorId)


    //结束咨询接口：endConsultation(String userId)


    //获取聊天记录接口：getChatRecords(String userId, String doctorId)


    //发送聊天消息接口：sendChatMessage(String userId, String doctorId, Message message)






}
